Home | All Classes | Grouped Classes | Index | Search

# CL_ClanApplication::main

Main application function

    	int main(
    		int argc, char** argv);

Parameters:

argc
  The number of arguments to the program (c-style)
argv
  A pointer to strings, containing the program arguments. The name of the program executable is always passed as first argument.

Return value:

Program return value

Detailed description:

Every program made using ClanLib must implement this function. This is the main application function, which will be called once following system initialization.

See also:

CL_ClanApplication

Questions or comments, write to the ClanLib mailing list.